GroupUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.server.session.GroupUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.server.session
Class GroupUtil

    java.lang.Object
      org.hyperic.hq.grouping.server.session.GroupUtil

    public class GroupUtil

extends java.lang.Object

Constructor Summary
`GroupUtil()`

Method Summary
`static java.util.List` | `getCompatGroupMembers(AuthzSubject subject, AppdefEntityID entity, int[] orderSpec)` Get the members of a compatible group.
`static java.util.List` | `getCompatGroupMembers(AuthzSubject subject, AppdefEntityID entity, int[] orderSpec, PageControl pc)`
`static AppdefGroupValue` | `getGroup(AuthzSubject subject, AppdefEntityID entity)`
`static java.util.List` | `getGroupMembers(AuthzSubject subject, AppdefEntityID entity, int[] orderSpec)`
`static PageList` | `getGroupMembers(AuthzSubject subject, AppdefEntityID entity, int[] orderSpec, PageControl pc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupUtil

    public GroupUtil()

Method Detail

### getCompatGroupMembers

    public static java.util.List getCompatGroupMembers(AuthzSubject subject,
                                                       AppdefEntityID entity,
                                                       int[] orderSpec)
                                                throws AppdefEntityNotFoundException,
                                                       PermissionException,
                                                       GroupNotCompatibleException

  Get the members of a compatible group. This method will complain if the group is not a compatible group.

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `GroupNotCompatibleException`

### getCompatGroupMembers

    public static java.util.List getCompatGroupMembers(AuthzSubject subject,
                                                       AppdefEntityID entity,
                                                       int[] orderSpec,
                                                       PageControl pc)
                                                throws AppdefEntityNotFoundException,
                                                       PermissionException,
                                                       GroupNotCompatibleException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `GroupNotCompatibleException`

### getGroupMembers

    public static java.util.List getGroupMembers(AuthzSubject subject,
                                                 AppdefEntityID entity,
                                                 int[] orderSpec)
                                          throws AppdefEntityNotFoundException,
                                                 PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getGroupMembers

    public static PageList getGroupMembers(AuthzSubject subject,
                                           AppdefEntityID entity,
                                           int[] orderSpec,
                                           PageControl pc)
                                    throws AppdefEntityNotFoundException,
                                           PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getGroup

    public static AppdefGroupValue getGroup(AuthzSubject subject,
                                            AppdefEntityID entity)
                                     throws AppdefEntityNotFoundException,
                                            PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.